dpkg-0.0.3: libdpkg bindings

Safe Haskell | Safe
Language | Haskell2010

Debian.Dpkg.Types

# Documentation

data C'dpkg_version Source

Constructors

C'dpkg_version |

Fields

c'dpkg_version'epoch :: CInt
c'dpkg_version'version :: CString
c'dpkg_version'revision :: CString

Instances

Eq C'dpkg_version Source |
Show C'dpkg_version Source |
Storable C'dpkg_version Source |

p'dpkg_version'epoch :: Ptr C'dpkg_version -> Ptr CInt Source

p'dpkg_version'version :: Ptr C'dpkg_version -> Ptr CString Source

data C'filedetails Source

Constructors

C'filedetails |

Fields

c'filedetails'next :: Ptr C'filedetails
c'filedetails'name :: CString
c'filedetails'msdosname :: CString
c'filedetails'size :: CString
c'filedetails'md5sum :: CString

Instances

Eq C'filedetails Source |
Show C'filedetails Source |
Storable C'filedetails Source |

p'dpkg_version'revision :: Ptr C'dpkg_version -> Ptr CString Source

data C'pkgbin Source

Constructors

C'pkgbin |

Instances

Eq C'pkgbin Source |
Show C'pkgbin Source |
Storable C'pkgbin Source |

data C'perpackagestate Source

Constructors

C'perpackagestate |

type C'pkgwant = CUInt Source

type C'pkgeflag = CUInt Source

p'filedetails'next :: Ptr C'filedetails -> Ptr (Ptr C'filedetails) Source

type C'pkgstatus = CUInt Source

type C'pkgpriority = CInt Source

p'filedetails'name :: Ptr C'filedetails -> Ptr CString Source

data C'pkgiterator Source

Constructors

C'pkgiterator |

p'filedetails'msdosname :: Ptr C'filedetails -> Ptr CString Source

p'filedetails'size :: Ptr C'filedetails -> Ptr CString Source

p'filedetails'md5sum :: Ptr C'filedetails -> Ptr CString Source

data C'pkginfo Source

Constructors

C'pkginfo |

Fields

c'pkginfo'set :: Ptr C'pkgset
c'pkginfo'arch_next :: Ptr C'pkginfo
c'pkginfo'want :: C'pkgwant
c'pkginfo'eflag :: C'pkgeflag
c'pkginfo'status :: C'pkgstatus
c'pkginfo'priority :: C'pkgpriority
c'pkginfo'otherpriority :: CString
c'pkginfo'section :: CString
c'pkginfo'configversion :: C'dpkg_version
c'pkginfo'files :: Ptr C'filedetails
c'pkginfo'installed :: C'pkgbin
c'pkginfo'available :: C'pkgbin
c'pkginfo'clientdata :: Ptr C'perpackagestate

Instances

Eq C'pkginfo Source |
Show C'pkginfo Source |
Storable C'pkginfo Source |

data C'pkgset Source

Constructors

C'pkgset |

Fields

c'pkgset'next :: Ptr C'pkgset
c'pkgset'name :: CString
c'pkgset'pkg :: C'pkginfo

Instances

Eq C'pkgset Source |
Show C'pkgset Source |
Storable C'pkgset Source |

type C'dpkg_msg_type = CUInt Source

p'pkgset'next :: Ptr C'pkgset -> Ptr (Ptr C'pkgset) Source

data C'dpkg_error Source

Constructors

C'dpkg_error |

Fields

c'dpkg_error'type :: C'dpkg_msg_type
c'dpkg_error'str :: CString

Instances

Eq C'dpkg_error Source |
Show C'dpkg_error Source |
Storable C'dpkg_error Source |

p'pkgset'name :: Ptr C'pkgset -> Ptr CString Source

p'pkgset'pkg :: Ptr C'pkgset -> Ptr C'pkginfo Source

p'pkginfo'set :: Ptr C'pkginfo -> Ptr (Ptr C'pkgset) Source

p'pkginfo'arch_next :: Ptr C'pkginfo -> Ptr (Ptr C'pkginfo) Source

p'dpkg_error'type :: Ptr C'dpkg_error -> Ptr C'dpkg_msg_type Source

p'pkginfo'want :: Ptr C'pkginfo -> Ptr C'pkgwant Source

p'dpkg_error'str :: Ptr C'dpkg_error -> Ptr CString Source

p'pkginfo'eflag :: Ptr C'pkginfo -> Ptr C'pkgeflag Source

p'pkginfo'status :: Ptr C'pkginfo -> Ptr C'pkgstatus Source

p'pkginfo'priority :: Ptr C'pkginfo -> Ptr C'pkgpriority Source

p'pkginfo'otherpriority :: Ptr C'pkginfo -> Ptr CString Source

p'pkginfo'section :: Ptr C'pkginfo -> Ptr CString Source

p'pkginfo'configversion :: Ptr C'pkginfo -> Ptr C'dpkg_version Source

p'pkginfo'files :: Ptr C'pkginfo -> Ptr (Ptr C'filedetails) Source

p'pkginfo'installed :: Ptr C'pkginfo -> Ptr C'pkgbin Source

p'pkginfo'available :: Ptr C'pkginfo -> Ptr C'pkgbin Source

p'pkginfo'clientdata :: Ptr C'pkginfo -> Ptr (Ptr C'perpackagestate) Source